fbpx
Skip to main content
  • Why Does Connexus Stop Supporting Older Devices?

    2017-12-22T11:39:34-06:00By |Digital Banking|

    Technology is always changing, and that has both pros and cons. It can be awesome, like when you get the latest gadget that makes your life easier. Or it can be frustrating, like when a manufacturer stops making accessories for an old device you still use.

    We know that well here at Connexus. It’s great to be able to announce new functionality for our members. But sometimes, in order to bring you the best possible experience, we have to stop supporting older devices or operating systems.

    This is the case with the most recent version of our Android app. In order to bring the best experience to the most members possible, Android versions 4.4 (KitKat) and earlier are no longer supported.

    There are multiple reasons for this decision. One reason is that supporting older devices increases the size of the app, making it slower on every device. Plus, older devices simply don’t have the hardware or software capability to take full advantage of our app’s features.

    We do our best to not exclude any of our members, but our apps need to keep pace with the expectations and standards of the industry. While we regret any inconvenience this may cause you, our mobile website and desktop website experiences are always available.

    If you have any questions or feedback, please contact us.

    Comments